<?php

use Tygh\Registry;
use Tygh\Addons\SchetmashCash\Schetmash;

/*
use Tygh\Addons\SchetmashCash\Receipt\Receipt;
use Tygh\Registry;
use Tygh\Addons\SchetmashCash\Receipt\Item;
use Tygh\Addons\SchetmashCash\Receipt\Payment;
use Tygh\Addons\SchetmashCash\RequestLogger;
use Tygh\Addons\RusTaxes\TaxType;
*/

if (!defined('BOOTSTRAP')) { die('Access denied'); }

/** @var string $mode */

if ($mode === 'receipts') {

    $schetmash = Tygh::$app['addons.rus_schetmash_cash.schetmash'];

    if ($_SERVER['REQUEST_METHOD'] === 'POST') {

        if(isset($_REQUEST['delete'])) { $schetmash->deleteCheck((int)$_REQUEST['delete']);  }

        if(isset($_REQUEST['update']))    { 
            $report = $schetmash->getStatusCheck((int)$_REQUEST['update']);  
            $mess = $report['mess'];
        }
    
        
        if(isset($_REQUEST['add_update']) && isset($_REQUEST['order_id']) && isset($_REQUEST['type'])) {
            $add_update = $_REQUEST['add_update'];
            $order_id = $_REQUEST['order_id'];
            $type = $_REQUEST['type'];
            if(isset($order_id[$add_update]) &&  isset($type[$add_update]) ) {
                $report = $schetmash->addCheck( $order_id[$add_update] , $type[$add_update] ,  $add_update); 
                $mess = $report['mess'];
            }
        }


    }  
    

    $view = Tygh::$app['view'];

    $search = $conditions = array();
    $limit = null;
    $page = isset($_REQUEST['page']) ? (int) $_REQUEST['page'] : 1;

    if (isset($_REQUEST['items_per_page'])) {
        $limit = (int) $_REQUEST['items_per_page'];
    }

    if (!$limit) {
        $limit = (int) Registry::ifGet('settings.Appearance.admin_elements_per_page', 30);
    }

    if (isset($_REQUEST['search']['type']) && !empty($_REQUEST['search']['type'])) {
        $search['type'] = $conditions['type'] = $_REQUEST['search']['type'];
    }

    if (isset($_REQUEST['search']['status']) && !empty($_REQUEST['search']['status'])) {
        $search['status'] = $conditions['status'] = $_REQUEST['search']['status'];
    }

    
    if (isset($_REQUEST['receipts_period'])) {
        $search['receipts_period'] = $_REQUEST['receipts_period'];
        $search['receipts_time_from'] = $_REQUEST['receipts_time_from'];
        $search['receipts_time_to'] = $_REQUEST['receipts_time_to'];

        /*
        list($time_from, $time_to) = fn_create_periods(array(
            'period' => $_REQUEST['receipts_period'],
            'time_from' => $_REQUEST['receipts_time_from'],
            'time_to' => $_REQUEST['receipts_time_to']
        ));*/

        //$conditions[] = array('data_create', '>=', $time_from);
        //$conditions[] = array('data_create', '<=', $time_to);

        if(isset($_REQUEST['receipts_time_from']) && !empty($_REQUEST['receipts_time_from']) ) { 
            $time_from = DateTime::createFromFormat('m/d/Y', $_REQUEST['receipts_time_from']);
            $conditions[] = array('data_create', '>=', $time_from->format('Y-m-d H:i:s') );
        }

        if(isset($_REQUEST['receipts_time_to']) && !empty($_REQUEST['receipts_time_to']) ) { 
            $time_to = DateTime::createFromFormat('m/d/Y', $_REQUEST['receipts_time_to']);
            $conditions[] = array('data_create', '<=', $time_to->format('Y-m-d H:i:s') );
        }

    }


    $total_items =  $schetmash->getCount($conditions);  

    $page = db_get_valid_page($page, $limit, $total_items);
    $offset = ($page - 1) * $limit;

    $receipts = $schetmash->getList( $offset, $limit, $conditions);  


    $search = array_merge($search, array(
        'items_per_page' => $limit,
        'total_items' => $total_items,
        'page' => $page
    ));

    $view->assign('receipts', $receipts);
    $view->assign('search', $search);
    $view->assign('statuses', array(
        'accept' => __('rus_schetmash_cash.receipts_list.status.wait'),
        'success' =>  __('rus_schetmash_cash.receipts_list.status.done'),
        'error' => __('rus_schetmash_cash.receipts_list.status.fail'),
        'no_conn' => 'Нет связи',
    ));
    
    $view->assign('types', array(
        'sell' => __('rus_schetmash_cash.receipts_list.type.sell'),
        'sell_refund' => __('rus_schetmash_cash.receipts_list.type.sell_refund'),
    ));
    

} elseif($mode === 'manual'){

    $view = Tygh::$app['view'];
    
    $view->assign('cron_url', fn_url('schetmash_cash.cron', 'C') );    

}