{capture name="mainbox"}

    {capture name="sidebar"}
        {include file="addons/rus_schetmash_cash/views/schetmash_cash/components/receipts_search_form.tpl"}
    {/capture}

    {include file="common/pagination.tpl" save_current_page=true save_current_url=true}

    {assign var="return_current_url" value=$config.current_url|escape:url}

    {if $receipts}
        <form action="{"schetmash_cash.receipts"|fn_url}" method="POST" enctype="multipart/form-data" > 
        <table width="100%" class="table table-middle">
            <thead>
                <tr>
                  <th>id</th>
                  <th>Статус</th>
                  <th>Номер чека</th>  
                  <th>Заказ</th>          
                  <th>Дата создания</th>
                  <th>Завершена печать</th>
                  <th>Сумма</th>
                  <th>Операция</th>                            
                  <th>Чек</th>
                  <th>Параметры чека</th>
                  <th> </th>
                </tr>
            </thead>
            <tbody>
            {foreach from=$receipts item="receipt"}
                <tr>
                    <td>{$receipt['id']}</td>
                    <td>
                        {if $receipt.status == 'no_conn'}
                            Нет связи
                        {elseif $receipt.status == 'success'}
                            Напечатан
                        {elseif $receipt.status == 'accept' or $receipt.status == 'processing'}
                            Чек отправлен в ККТ
                        {elseif $receipt.status == 'fail'}
                          Ошибка
                        {else}
                            {$receipt.status}
                        {/if}
                    </td>
                    <td>{$receipt['uuid']}</td>
                    <td>
                        {if $receipt.order_id}
                            <a  href="{"orders.details?order_id=`$receipt.order_id`"|fn_url}">{$receipt.order_id}</a>
                        {/if}    
                    </td>
                    <td>{$receipt['data_create']}</td>
                    <td>{$receipt['data_print_end']}</td>
                    <td>{$receipt['sum']}</td>
                    <td>
                        {if $receipt.type == 'sell'}
                            Приход
                        {elseif $receipt.type == 'sell_refund'}
                            Возврат прихода
                        {elseif $receipt.type == 'sell_correction'}
                            Коррекция прихода
                        {elseif $receipt.type == 'buy'}
                            Расход
                        {elseif $receipt.type == 'buy_refund'}
                            Возврат расхода
                        {elseif $receipt.type == 'buy_correction'}
                            Коррекция расхода 
                        {/if}     
                    </td>         

                    <td>
                        {if $receipt.link_params}                            
                            <a target="_blank" href="{$receipt.link_params}">Чек</a>
                        {/if}    
                    </td>

                   <td>
                        {if $receipt.payload}
                        <a class="cm-dialog-opener cm-dialog-auto-size" data-ca-target-id="open_payload_{$receipt.id}">Параметры</a>
                            <div class="hidden" id="open_payload_{$receipt.id}" title="Параметры чека">
                                {foreach from=$receipt.payload item="payload"}                                
                                    {$payload}<br />
                                {/foreach}
                            </div>
                        {/if}

                        {if $receipt.error}
                        <a class="cm-dialog-opener cm-dialog-auto-size" data-ca-target-id="open_error_{$receipt.id}">Ошибки</a>
                            <div class="hidden" id="open_error_{$receipt.id}" title="Ошибки">
                                {foreach from=$receipt.error item="error"}                                
                                    {$error}<br />
                                {/foreach}
                            </div>
                        {/if}
                    </td>
                    <td>
                        <button type="submit" name="delete" title="Удалить чек" value="{$receipt.id}" class="btn"> <i class="icon-remove"></i> </button>

                        {if $receipt.status eq 'processing' or $receipt.status eq 'accept'}
                            <button type="submit" name="update" title="Обновить чек" value="{$receipt.uuid}" class="btn"><i class="icon-refresh"></i></button>
                        {/if} 
                                    
                        {if $receipt.status eq 'no_conn'}
                            <button type="submit" name="add_update" title="Обновить чек" value="{$receipt.id}" class="btn"><i class="icon-refresh"></i></button>
                            <input type="hidden"  value="{$receipt.order_id}" name="order_id[{$receipt.id}]" />
                            <input type="hidden"  value="{$receipt.type}" name="type[{$receipt.id}]" />
                        {/if}  
                   </td>
                </tr>
            {/foreach}
            <tbody>
        </table>
        </form>
    {else}
        <p class="no-items">{__("no_data")}</p>
    {/if}

    {include file="common/pagination.tpl"}
{/capture}



{include file="common/mainbox.tpl" title=__("rus_schetmash_cash.receipts_list.title") content=$smarty.capture.mainbox buttons=$smarty.capture.buttons sidebar=$smarty.capture.sidebar}
